Package wx :: Class PrintPreview

[frames | no frames]

## Type PrintPreview

    object --+
             |
        Object --+
                 |
                PrintPreview

Known Subclasses:
  `PyPrintPreview`

Proxy of C++ PrintPreview class

Method Summary
PrintPreview | ``__init__`(self, printout, printoutForPrinting, data)` __init__(self, Printout printout, Printout printoutForPrinting, PrintData data) -> PrintPreview
| `__del__(self)`
| `__nonzero__(self)`
| `AdjustScrollbars(self, canvas)`
| `DetermineScaling(self)`
bool | `DrawBlankPage(self, canvas, dc)`
PreviewCanvas | `GetCanvas(self)`
int | `GetCurrentPage(self)`
Frame | `GetFrame(self)`
int | `GetMaxPage(self)`
int | `GetMinPage(self)`
PrintDialogData | `GetPrintDialogData(self)`
Printout | `GetPrintout(self)`
Printout | `GetPrintoutForPrinting(self)`
int | `GetZoom(self)`
bool | `IsOk(self)`
bool | `Ok(self)`
bool | `PaintPage(self, canvas, dc)`
bool | `Print(self, interactive)`
bool | `RenderPage(self, pageNum)`
| `SetCanvas(self, canvas)`
bool | `SetCurrentPage(self, pageNum)`
| `SetFrame(self, frame)`
| `SetOk(self, ok)`
| `SetPrintout(self, printout)`
| `SetZoom(self, percent)`

Property Summary
| `Canvas`: See `GetCanvas` and `SetCanvas`
| `CurrentPage`: See `GetCurrentPage` and `SetCurrentPage`
| `Frame`: See `GetFrame` and `SetFrame`
| `MaxPage`: See `GetMaxPage`
| `MinPage`: See `GetMinPage`
| `PrintDialogData`: See `GetPrintDialogData`
| `Printout`: See `GetPrintout` and `SetPrintout`
| `PrintoutForPrinting`: See `GetPrintoutForPrinting`
| `thisown`: The membership flag
| `Zoom`: See `GetZoom` and `SetZoom`

Method Details

### __init__(self, printout, printoutForPrinting, data=None)
(Constructor)

__init__(self, Printout printout, Printout printoutForPrinting, PrintData data) -> PrintPreview

  Parameters:
    `printout`
    (type=Printout)

    `printoutForPrinting`
    (type=Printout)

    `data`
    (type=PrintDialogData)

  Returns:
    PrintPreview
  Overrides:
    `wx.Object.__init__`

Property Details

### Canvas

See `GetCanvas` and `SetCanvas`

  Get Method:
    `GetCanvas`(self)
  Set Method:
    `SetCanvas`(self, canvas)

### CurrentPage

See `GetCurrentPage` and `SetCurrentPage`

  Get Method:
    `GetCurrentPage`(self)
  Set Method:
    `SetCurrentPage`(self, pageNum)

### Frame

See `GetFrame` and `SetFrame`

  Get Method:
    `GetFrame`(self)
  Set Method:
    `SetFrame`(self, frame)

### MaxPage

See `GetMaxPage`

  Get Method:
    `GetMaxPage`(self)

### MinPage

See `GetMinPage`

  Get Method:
    `GetMinPage`(self)

### PrintDialogData

See `GetPrintDialogData`

  Get Method:
    `GetPrintDialogData`(self)

### Printout

See `GetPrintout` and `SetPrintout`

  Get Method:
    `GetPrintout`(self)
  Set Method:
    `SetPrintout`(self, printout)

### PrintoutForPrinting

See `GetPrintoutForPrinting`

  Get Method:
    `GetPrintoutForPrinting`(self)

### thisown

The membership flag

### Zoom

See `GetZoom` and `SetZoom`

  Get Method:
    `GetZoom`(self)
  Set Method:
    `SetZoom`(self, percent)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:26 2007 | http://epydoc.sf.net